<?php

/**
 * Class Custom_Metadata_Type
 * This is inside "metadata_type/metadata-type.php"
 */
class Custom_Metadata_Type extends \Tainacan\Metadata_Types\Metadata_Type {

    function __construct() {

        parent::__construct();

        // Basic options
        $this->set_name( __('Image Metadata Type', 'custom-metadata-type') );
        $this->set_description( __('Uma imagem para mostrar algo.', 'custom-metadata-type') );
        $this->set_primitive_type(['file']);
        $this->set_component('tainacan-metadata-type-image');
        $this->set_preview_template('
            <div>
                <div class="control is-clearfix">
                    <input type="file" placeholder="Selecione uma imagem" class="input" accept="image/*">
                </div>
            </div>
        ');

        // For custom Metadata Type Options
        $this->set_form_component('tainacan-metadata-type-image');
        $this->set_default_options([
            'required' => true
        ]);
    }
    // ... More to bellow ...
}
?>
